Subject: Re: [PATCH v3 1/9] ptp: Add generic ptp v2 header parsing function

From: Kurt Kanzenbach <[email-masked]>
Date: Wed, 05 Aug 2020 15:57:53 +0200

On Wed Aug 05 2020, Grygorii Strashko wrote:
> I really do not want touch netcp, sry.
> There are other internal code based on this even if there is only one hooks in LKML now.
> + my comment above.

OK, I see. The use of lists makes more sense now.

>
> I'll try use skb_reset_mac_header(skb);
> As spectrum does:
>   	skb_reset_mac_header(skb);
> 	mlxsw_sp1_ptp_got_packet(mlxsw_sp, skb, local_port, true);
>
> if doesn't help PATCH 6 is to drop.

So, only patch 6 is to drop or 5 as well? Anyhow, I'll wait for your
test results. Thanks!

Thanks,
Kurt